cURL
curl --request POST \
--url https://cmd.illusory.io/v1/proxies/changeip/{proxyName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cmd.illusory.io/v1/proxies/changeip/{proxyName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cmd.illusory.io/v1/proxies/changeip/{proxyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"message": "Reset proxy command sent to device successfully.",
"data": {
"proxy_name": "ILL-US-AU1-9999",
"last_ip_change": "2050-12-04T17:43:16.407+00:00"
}
}{
"ok": false,
"data": {
"proxy_name": "ILL-US-AU1-9999"
},
"message": "Proxy not found"
}Proxy Actions
Change Proxy IP
Changes the external mobile IP of a proxy server that is visible to target sites.
POST
/
v1
/
proxies
/
changeip
/
{proxyName}
cURL
You may change your proxy IP once every minute.
Authorizations
The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.
Path Parameters
Replace {proxyName} in the url path with YOUR_PROXY.
Was this page helpful?
⌘I